<?php 
//activamos almacenamiento en el buffer
ob_start();
if (strlen(session_id())<1) 
  session_start();

if (!isset($_SESSION['nombre'])) {
  echo "debe ingresar al sistema correctamente para visualizar el reporte";
}else{

if ($_SESSION['ventas']==1) {

//incluimos el archivo factura
require('Factura.php');

//establecemos los datos de la empresa
$logo="logo.png";
$ext_logo="png";
$empresa="SERVICIOS PROSOLUTION 69";
$documento="J-5667457-1";
$direccion="Santa Monica, Caracas";
$telefono="0212-2564523";
$email="lewis.hernandez@hotmail.com";

//obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/VentaBoleto.php";
$venta= new VentaBoleto();
$rsptav=$venta->ventacabecera($_GET["id"]);

//recorremos todos los valores que obtengamos
$regv=$rsptav->fetch_object();

//configuracion de la factura
$pdf = new PDF_Invoice('p','mm','letter');
$pdf->AddPage();

//enviamos datos de la empresa al metodo addSociete de la clase factura
/*$pdf->addSociete(utf8_decode($empresa),
                 $documento."\n".
                 utf8_decode("Direccion: "). utf8_decode($direccion)."\n".
                 utf8_decode("Telefono: ").$telefono."\n".
                 "Email: ".$email,$logo,$ext_logo);

$pdf->fact_dev("$regv->tipo_comprobante ","$regv->serie_comprobante- $regv->num_comprobante"); 
$pdf->temporaire( "" );*/
$pdf->addDate($regv->fecha);
// Mostramos la fecha
$yf=54;

$line = array( "Rif"=>'Rif:',
                "doc"=>"$regv->num_documento");
$pos=array(146,177);
$tam=array(30,30);
$ali=array('R','R');
$taletra=10;
$tipletra="";
$size = $pdf->addLineLibreA( $yf, $line, $pos, $tam, $taletra,$tipletra,$ali);

//enviamos los datos del cliente al metodo addClientAddresse de la clase factura
$pdf->addClientAdresse(utf8_decode($regv->cliente),
                       utf8_decode($regv->direccion), 
                       $regv->email, 
                       $regv->telefono);

//establecemos las columnas que va tener lña seccion donde mostramos los detalles de la venta
$cols=array( "L.A"=>10,
	         "BoletoNumero"=>45,
	         "Pasajero"=>40,
	         "Ruta/Destino"=>40,
	         "Exento"=>55,
	         "Monto"=>-5);
$pdf->addCols( $cols);
$cols=array( "L.A"=>"C",
             "BoletoNumero"=>"C",
             "Pasajero"=>"C",
             "Ruta/Destino"=>"C",
             "Exento"=>"R",
             "Monto"=>"R" );
$pdf->addLineFormat( $cols);
$pdf->addLineFormat($cols); 

//actualizamos el valor de la coordenada "y" quie sera la ubicacion desde donde empecemos a mostrar los datos 
$y=82;

//obtenemos todos los detalles del a venta actual
$rsptad=$venta->ventadetalles($_GET["id"]);
//
// articulo, codigo,cantidad,precio_venta,descuento,porcentaje,identificador,
//nrolinea,nroboleto,pasajero,ruta,linea,rif,impuestob,tipoimpuesto,subtotal,tipo 
//
$total16=0;
$total16m=0;
$total8=0;
$total8m=0;
$subtotal=0;
$totalo=0;
$totalom=0;
$totalExento=0;
$totalExento=0;
$totalG=0;
$totalI=0;
$totalP=0;
$monto=0;
while($regd=$rsptad->fetch_object()){
    $blanco=" ";
    if ($regd->tipoimpuesto>0){
      $exento=0.0;
      if ($regd->tipoimpuesto==16){
        $total16=$total16+$regd->impuestob;
        $total16m=$total16m+$regd->subtotal;
      }elseif ($regd->tipoimpuesto==8){
        $total8=$total8+$regd->impuestob;
        $total8m=$total8m+$regd->subtotal;
      }else{
        $totalo=$totalo+$regd->impuestob;
        $totalom=$totaom+$regd->subtotal;
      }
      
    }else{
      $exento=$regd->subtotal;
      $totalExento=$totalExento+$exento;
    }
    $exento=number_format($exento, 2, ',', '.');
    $monto=number_format($regd->subtotal, 2, ',', '.');
    if ($regd->tipo=='S'){
        $line = array( "L.A"=>utf8_decode("$regd->articulo"),
                        "Exento"=>"$exento",                
                        "Monto"=>"$monto"
                    );
        $pos=array(10,147,176.5);
        $tam=array(100,30,30);
        $ali=array('L','R','R');
        $taletra=10;
        $tipletra="";
        $size = $pdf->addLineLibreA( $y, $line, $pos, $tam, $taletra,$tipletra,$ali);              
    }else{
        $line = array( "L.A"=>"$regd->identificador".' '."$regd->nrolinea",
                    "BoletoNumero"=>"$regd->nroboleto",
                    "Pasajero"=>utf8_decode("$regd->pasajero"),
                    "Ruta/Destino"=>"$regd->ruta",
                    "Exento"=>"$exento",
                    "Monto"=>"$monto"
                  );
        $pos=array(9,30,60,110,147,176.5);
        $tam=array(20,25,50,30,30,30);
        $ali=array('L','C','C','C','R','R');
        $taletra=10;
        $tipletra="";
        $size = $pdf->addLineLibreA( $y, $line, $pos, $tam, $taletra,$tipletra,$ali);

       // $size = $pdf->addLine( $y, $line );
        $y += $size +2;
        $pdf->addcuadrado(10,$y);
        $line = array( "texto"=>utf8_decode("IVA por Venta a Cuenta de Terceros Art. 10 Ley del IVA")
                      );
        $pos=array(10);
        $tam=array(100);
        $taletra=9;
        $tipletra="B";
        $size = $pdf->addLineLibre( $y, $line, $pos, $tam, $taletra,$tipletra);
        $y += $size +3;
        $impuestobb=number_format($regd->impuestob, 2, ',', '.');
        $line = array( "Boleto"=>'Boleto: '."$regd->nroboleto",
                        "L.A"=>utf8_decode("$regd->identificador".' '."$regd->linea"),
                        "Rif: "=>utf8_decode('Rif: '."$regd->rif"),
                        "Monto"=>'Bs. '."$impuestobb");
        $pos=array(10,40,100,130);
        $tam=array(40,60,30,25);
        $taletra=9;
        $tipletra="";
        $size = $pdf->addLineLibre( $y, $line, $pos, $tam, $taletra,$tipletra);
      }
  // $size = $pdf->addLine( $y, $line );
    $y += $size +2;
    $subtotal= $subtotal+$regd->subtotal; 
}
$totalG=$total16m+$total8m+$totalom;
$totalI=$total16+$total8+$totalo;  
$totalP=$subtotal+$totalI;

/*aqui falta codigo de letras*/
require_once "Letras.php";
$V = new EnLetras();

$total=$regv->total_venta; 
$V=new EnLetras(); 
$V->substituir_un_mil_por_mil = true;

// $con_letra=strtoupper($V->ValorEnLetras($total," BOLIVARES")); 
//$pdf->addCadreTVAs("---".$con_letra);


//mostramos el sub-total
$yf=225;
$subtotal=number_format($subtotal, 2, ',', '.');
$line = array( "SubTotal"=>'Sub Total:',
                "total"=>"$subtotal");
$pos=array(145,176.5);
$tam=array(30,30);
$ali=array('R','R');
$taletra=10;
$tipletra="B";
$size = $pdf->addLineLibreA( $yf, $line, $pos, $tam, $taletra,$tipletra,$ali);
//Mostramos una linea
$pdf->addlinea(10,$yf+2);
//mostramos el Los Impuesto              
//Exento
$totalExento=number_format($totalExento, 2, ',', '.');
$line = array( "exentod"=>'Total Monto Exento(E)',
                "exento"=>"$totalExento");
$pos=array(50,145);
$tam=array(100,30);
$ali=array('R','R');
$taletra=10;
$tipletra="";
$size = $pdf->addLineLibreA( $yf+7, $line, $pos, $tam, $taletra,$tipletra,$ali);
//Iva 16% 
$total16m=number_format($total16m, 2, ',', '.');
$total16=number_format($total16, 2, ',', '.');
$line = array( "iva"=>'IVA 16% sobre la base imponible',
                "total16"=>"$total16m",
                "total16m"=>"$total16"
              );
$pos=array(50,145,176.5);
$tam=array(100,30,30);
$ali=array('R','R','R');
$taletra=10;
$tipletra="";
$size = $pdf->addLineLibreA( $yf+11, $line, $pos, $tam, $taletra,$tipletra,$ali);
//Iva 8% 
$total8m=number_format($total8m, 2, ',', '.');
$total8=number_format($total8, 2, ',', '.');
$line = array( "iva"=>'IVA BOLETO NACIONAL (YNN)  8% sobre la base imponible',
                "total8"=>"$total8m",
                "total8m"=>"$total8"
              );
$pos=array(50,145,176.5);
$tam=array(100,30,30);
$ali=array('R','R','R');
$taletra=10;
$tipletra="";
$size = $pdf->addLineLibreA( $yf+15, $line, $pos, $tam, $taletra,$tipletra,$ali);
// Total Monto Gravable y Total Factura $totalG;$totalI;$totalP;
$totalG=number_format($totalG, 2, ',', '.');
$line = array( "G"=>'Total Monto Gravable(G)',
                "totalG"=>"$totalG"
              );
$pos=array(50,145,176.5);
$tam=array(100,30,30);
$ali=array('R','R','R');
$taletra=10;
$tipletra="";
$size = $pdf->addLineLibreA( $yf+19, $line, $pos, $tam, $taletra,$tipletra,$ali);
//Total a Pagar
$pdf->addlinea(10,$yf+26);
$totalP=number_format($totalP, 2, ',', '.');
$line = array( "T"=>'Total Factura:',
                "totalP"=>"$totalP"
              );
$pos=array(145,176.5);
$tam=array(30,30);
$ali=array('R','R');
$taletra=10;
$tipletra="B";
$size = $pdf->addLineLibreA( $yf+25, $line, $pos, $tam, $taletra,$tipletra,$ali);
//$pdf->addTVAs( $regv->impuesto, $regv->total_venta, "Bs. ");
//$pdf->addCadreEurosFrancs("IVA"." $regv->impuesto %");
$pdf->Output('Reporte de Venta' ,'I');

	}else{
echo "No tiene permiso para visualizar el reporte";
}

}

ob_end_flush();
  ?>